org.jboss.jca.common.api.metadata.ds

## Interface XaDataSource

- All Superinterfaces:
    CommonDataSource, JCAMetadata, java.io.Serializable, ValidatableMetadata

      public interface XaDataSource
      extends CommonDataSource

  An XaDataSource.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XaDataSource.Attribute` An attribute.
    `static class` | `XaDataSource.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNewConnectionSql()` Get the newConnectionSql.
    `Recovery` | `getRecovery()` Get the recovery settings.
    `Statement` | `getStatement()` Get the statement.
    `java.lang.String` | `getUrlDelimiter()` Get the urlDelimiter.
    `java.lang.String` | `getUrlProperty()` Get the url property
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Get the urlSelectorStrategyClassName.
    `java.lang.String` | `getXaDataSourceClass()` Get the xaDataSourceClass.
    `java.util.Map<java.lang.String,java.lang.String>` | `getXaDataSourceProperty()` Get the xaDataSourceProperty.
    `DsXaPool` | `getXaPool()` Get the xaPool.
    `java.lang.Boolean` | `isConnectable()` Get the connectable flag
    `java.lang.Boolean` | `isTracking()` Get the tracking flag

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ds.CommonDataSource

      `getDriver, getJndiName, getMcp, getPoolName, getSecurity, getTimeOut, getTransactionIsolation, getValidation, isEnabled, isEnlistmentTrace, isSpy, isUseCcm, isUseJavaContext, setEnabled`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Method Detail

    - #### getXaDataSourceClass

          java.lang.String getXaDataSourceClass()

      Get the xaDataSourceClass.
      Returns:
        the xaDataSourceClass.

    - #### getStatement

          Statement getStatement()

      Get the statement.
      Returns:
        the statement.

    - #### getUrlDelimiter

          java.lang.String getUrlDelimiter()

      Get the urlDelimiter.
      Returns:
        the urlDelimiter.

    - #### getUrlSelectorStrategyClassName

          java.lang.String getUrlSelectorStrategyClassName()

      Get the urlSelectorStrategyClassName.
      Returns:
        the urlSelectorStrategyClassName.

    - #### getNewConnectionSql

          java.lang.String getNewConnectionSql()

      Get the newConnectionSql.
      Returns:
        the newConnectionSql.

    - #### getXaDataSourceProperty

          java.util.Map<java.lang.String,java.lang.String> getXaDataSourceProperty()

      Get the xaDataSourceProperty.
      Returns:
        the xaDataSourceProperty.

    - #### getXaPool

          DsXaPool getXaPool()

      Get the xaPool.
      Returns:
        the xaPool.

    - #### getRecovery

          Recovery getRecovery()

      Get the recovery settings.
      Returns:
        the recovery settings.

    - #### getUrlProperty

          java.lang.String getUrlProperty()

      Get the url property
      Returns:
        The value

    - #### isConnectable

          java.lang.Boolean isConnectable()

      Get the connectable flag
      Returns:
        The value

    - #### isTracking

          java.lang.Boolean isTracking()

      Get the tracking flag
      Returns:
        `null` is container default, a value is an override

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)